Skip to navigation

Create a parent worker relation

Sets or replaces the parent relationship of a given type for the specified HRIS profile. Pass null as the id to remove the existing parent relationship.

Token scopes: profile:write

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

hris_profile_oidstringRequiredformat: "uuid"
HrisProfile ID

Request

This endpoint expects an object.
dataobjectOptional

Response

Successful operation

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error